Bug Hunting Session
Bug 113507 - rotated image should keep its size and bounding box should scale accordingly
Summary: rotated image should keep its size and bounding box should scale accordingly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: x86 (IA32) Windows (All)
: high normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks:
 
Reported: 2017-10-29 13:23 UTC by Regina Henschel
Modified: 2017-12-16 21:35 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
File for testing (24.05 KB, application/vnd.oasis.opendocument.text)
2017-10-29 15:41 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2017-10-29 13:23:04 UTC
This is about the new feature of rotating an image in Writer. You need a current build from master to test it.

Currently a rotated image is scaled down to have a bounding box, which has the same size as the not rotated image.

In MS Office, in Draw/Impress, in all such places where images are rotated, the images are not scaled. So it is likely, that users want an unscaled image here too. Feature freeze and Beta are coming soon. Therefore a quick decision and -if need be- additions in the code are necessary.
Comment 1 Regina Henschel 2017-10-29 14:11:20 UTC
Additional problem: Currently the frame around the image is larger as the bounding box of the rotated image, because the frame has the size of the not transformed image. Should the frame size be changed to the bounding box? Example: The user has an image 5cm width, 0.5 cm height and wants to use it 90° rotated as border at the right edge of a paragraph, manually scaled to the height of the paragraph. Because in version 5.4 the image itself is changed when rotated, that is no problem. But try it in the version 6.
Comment 2 Regina Henschel 2017-10-29 15:41:00 UTC
Created attachment 137356 [details]
File for testing

Open attached file. Rotate the yellow rectangle by 90° and bring it to the left side of the paragraph.

Do this in LO54 and do this in daily build from master.
Comment 3 Heiko Tietze 2017-10-29 18:46:09 UTC
We talked about this question intensively during LibOCon. Changing the image size makes the text around floating and may end in a Schroedinger situations when at the end of the page. However, sometimes it makes sense to keep the image size, so ideally we have two possible interactions. 

IIRC, the idea was to make that depending the outer frame. If there is a distance between the inner frame (aka image) and the outer it should remain. Otherwise the image keeps it's size. Armin asked many people about the expectation, and likely knows how to solve it.
Comment 4 Regina Henschel 2017-10-29 19:13:57 UTC
Currently the result of 90° rotation is different from the result in LO 5.4. There is no obvious way to get the same result as in LO 5.4. Try it with the attached example.
Comment 5 Armin Le Grand 2017-11-03 09:09:30 UTC
@Regina: Yes, correct. I am working on it, see feature/RotateFlyFrame3
Comment 6 Regina Henschel 2017-12-16 21:35:09 UTC
It is OK in Version: 6.1.0.0.alpha0+ (x64)
Build ID: 07138b4f5cd5dc2585b9f63f68f3e2badd34d3c7
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
Locale: de-DE (de_DE); Calc: CL

Fixed with integration on feature branch feature/RotateFlyFrame3.